commoble.bagofyurting

## Class BagOfYurtingMod

- java.lang.Object
- - commoble.bagofyurting.BagOfYurtingMod

    public class BagOfYurtingMod
    extends java.lang.Object

### Field Summary

Fields
`net.minecraftforge.fml.RegistryObject<BagOfYurtingItem>` `bagOfYurtingItem`
`static net.minecraftforge.fml.network.simple.SimpleChannel` `CHANNEL`
`static BagOfYurtingMod` `INSTANCE`
`static java.lang.String` `MODID`
`static java.lang.String` `PROTOCOL_VERSION`
`net.minecraftforge.fml.RegistryObject<net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapedRecipe>>` `shapedUpgradeRecipeSerializer`
`net.minecraftforge.fml.RegistryObject<net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapelessRecipe>>` `shapelessUpgradeRecipeSerializer`

### Constructor Summary

Constructors
Constructor and Description
`BagOfYurtingMod()` One instance of this class is created by forge when mods are loaded

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MODID

    public static final java.lang.String MODID

See Also:
  Constant Field Values

#### INSTANCE

    public static BagOfYurtingMod INSTANCE

#### PROTOCOL_VERSION

    public static final java.lang.String PROTOCOL_VERSION

See Also:
  Constant Field Values

#### CHANNEL

    public static final net.minecraftforge.fml.network.simple.SimpleChannel CHANNEL

#### bagOfYurtingItem

    public final net.minecraftforge.fml.RegistryObject<BagOfYurtingItem> bagOfYurtingItem

#### shapedUpgradeRecipeSerializer

    public final net.minecraftforge.fml.RegistryObject<net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapedRecipe>> shapedUpgradeRecipeSerializer

#### shapelessUpgradeRecipeSerializer

    public final net.minecraftforge.fml.RegistryObject<net.minecraft.item.crafting.IRecipeSerializer<net.minecraft.item.crafting.ShapelessRecipe>> shapelessUpgradeRecipeSerializer

### Constructor Detail

#### BagOfYurtingMod

    public BagOfYurtingMod()

One instance of this class is created by forge when mods are loaded